Subject: [mpls] FW: PWE3

From: Mohammed Shahnawaz <[email-masked]>
Date: Sun, 02 Sep 2007 17:01:47 +0400

_____  

From: Mohammed Shahnawaz [mailto:[email-masked]] 
Sent: Saturday, August 25, 2007 8:23 AM
To: [email-masked]'
Subject: PWE3

Hi,

Can someone please explain to me the PWE3 technology in a simple way? Also,
how do PWE3, QinQ & VPLS is interrelated?

Is it possible to carry the TDM E1 over IP network using PWE3 tech? 

Kindly someone explain.

Best regards,

Shahnawaz

_______________________________________________
mpls mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mpls

---

From: "Mohamed, Liban [NTK]" <[email-masked]>
Date: Sun, 2 Sep 2007 19:15:15 -0500

Truman,

PWE3 is not MPLS specific technology, PWE3 encapsulation uses IP(both version), L2TP, and MPLS. It basically emulates L2, QinQ, and VPLS requires MPLS, where PWE3 works with IP backbone using L2TP. Yes it is possible to carry the TDM E1 with PWE3, this is great technology, it allows SP's to offer legacy technology such us Frame-Relay/ATM with the existing IP backbone, so PWE3 will emulate Ethernet/FR-RELAY/ATM where you can assign VC ID and build a tunnel, We use L2TPv3

Mohamed,

Let me know if you need more info, unicast me and I will be happy to provide you more info

Thanks,

Liban Mohamed
NTAC-IP 
Sprint/Nextel
www.sprint.net 
[email-masked]
(W) 678-291-3438  
(PCS) 404-441-9701

-----Original Message-----
From: Truman Boyes [mailto:[email-masked]] 
Sent: Sunday, September 02, 2007 5:35 PM
To: Mohammed Shahnawaz
Cc: [email-masked]; [email-masked]; [email-masked]
Subject: Re: [MPLS-OPS]: FW: PWE3

Hi Mohammed,

PWE3 technology is for creation of pseudowires in MPLS domains.  
Basically, the PE devices in your MPLS domain will terminate and  
carry the "circuit" through to another PE where the circuit tail will  
proceed to a CE device.

QinQ is double 802.1q tagged Ethernet frames.

VPLS is a MPLS technology where you have a multipoint to multipoint  
communication method for Ethernet technologies. It basically creates  
a large virtual lan switch across a MPLS network.

How are these items related? Well, they all use MPLS, and they all  
relate to layer 2 transport. Sometimes on PWE3 and VPLS networks you  
wish to carry QinQ ...

best regards,
Truman

On 3/09/2007, at 1:01 AM, Mohammed Shahnawaz wrote:

> Can someone please explain to me the PWE3 technology in a simple  
> way? Also, how do PWE3, QinQ & VPLS is interrelated?
>

-------
The MPLS-OPS Mailing List
Subscribe/Unsubscribe:  http://www.mplsrc.com/mplsops.shtml
Archive: http://www.mplsrc.com/mpls-ops_archive.shtml

---

From: "Mohamed, Liban [NTK]" <[email-masked]>
Date: Sun, 2 Sep 2007 19:15:15 -0500

Truman,

Mohamed,

Thanks,

Liban Mohamed
NTAC-IP 
Sprint/Nextel
www.sprint.net 
[email-masked]
(W) 678-291-3438  
(PCS) 404-441-9701

-----Original Message-----
From: Truman Boyes [mailto:[email-masked]] 
Sent: Sunday, September 02, 2007 5:35 PM
To: Mohammed Shahnawaz
Cc: [email-masked]; [email-masked]; [email-masked]
Subject: Re: [MPLS-OPS]: FW: PWE3

Hi Mohammed,

best regards,
Truman

-------

---

From: "Mohamed, Liban [NTK]" <[email-masked]>
Date: Sun, 2 Sep 2007 19:20:54 -0500

Truman,

Mohamed,

Thanks,

Liban Mohamed
NTAC-IP 
Sprint/Nextel
www.sprint.net 
[email-masked]
(W) 678-291-3438  
(PCS) 404-441-9701

-----Original Message-----
From: Truman Boyes [mailto:[email-masked]] 
Sent: Sunday, September 02, 2007 5:35 PM
To: Mohammed Shahnawaz
Cc: [email-masked]; [email-masked]; [email-masked]
Subject: Re: [MPLS-OPS]: FW: PWE3

Hi Mohammed,

best regards,
Truman

-------

---

From: Truman Boyes <[email-masked]>
Date: Mon, 3 Sep 2007 09:34:49 +1200

Hi Mohammed,

best regards,
Truman

---

From: Truman Boyes <[email-masked]>
Date: Mon, 3 Sep 2007 14:39:36 +1200

Hi Mohamed,

I should have been more specific; I specified MPLS because the  
original question was around how these technologies related to MPLS.

Thanks,
Truman

On 3/09/2007, at 12:20 PM, Mohamed, Liban [NTK] wrote:

>
> Truman,
>
> PWE3 is not MPLS specific technology, PWE3 encapsulation uses IP 
> (both version), L2TP, and MPLS. It basically emulates L2, QinQ, and  
> VPLS requires MPLS, where PWE3 works with IP backbone using L2TP.  
> Yes it is possible to carry the TDM E1 with PWE3, this is great  
> technology, it allows SP's to offer legacy technology such us Frame- 
> Relay/ATM with the existing IP backbone, so PWE3 will emulate  
> Ethernet/FR-RELAY/ATM where you can assign VC ID and build a  
> tunnel, We use L2TPv3
>
> Mohamed,
>

---

From: Truman Boyes <[email-masked]>
Date: Mon, 3 Sep 2007 09:34:49 +1200

Hi Mohammed,

best regards,
Truman

---

From: Truman Boyes <[email-masked]>
Date: Mon, 3 Sep 2007 14:39:36 +1200

Hi Mohamed,

Thanks,
Truman

---

From: "Aline Flore Jounewe [ MTNCameroon Infrastructure Planning - MTN House ]" <[email-masked]>
Date: Tue, 4 Sep 2007 13:43:48 +0100

Hi all!

I am looking for and MPLS/IP Expert to work with our company as an in
house consultant for a determined period.

Please let me know if you are interested so that we have a restricted
discussion.

Thank you and best Regards;

Aline Flore Jounewe
Network Group - Data Architecture
MTN CAMEROON
Douala - Cameroun
Cel: +237 77551072"
Fax: +237 7909040
 
http://www.mtncameroon.net
 
Si vous pouvez voir l'invisible, 
vous pouvez accomplir l'impossible !
Yvan Castanou

NOTE: This e-mail message is subject to the MTN Cameroon disclaimer, see http://www.mtncameroon.net/disclaimer.html 

NOTE: This e-mail message is subject to the MTN Cameroon disclaimer, see http://www.mtncameroon.net/disclaimer.html

---

From: Phil Bedard <[email-masked]>
Date: Tue, 4 Sep 2007 09:10:05 -0400

VPLS is a client of an underlying PWE3 pseudowire network, which as  
you said can be built using GRE, L2TPv3, or MPLS.  VPLS is not  
dependent on an IP/MPLS network being in place and there are vendors  
that implement fairly decent VPLS solutions (Alcatel for one) that  
can be completely run over IP/GRE.

RFC3985 describes VPLS architectures.
RFC4761 and RFC4762 describe the setup of a VPLS network using either  
targeted LDP or BGP as the signaling method.

Phil

> Archive: http://www.mplsrc.com/mpls-ops_archive.shtml

Phil Bedard
[email-masked]